# Admin Audit Trail

This module track logs of specific events that you'd like to review. The
events performed by the users (using the forms) are saved in the database
and can be viewed on the page admin/reports/audit-trail. You could use this
to track the number of times the CUD (Create, Update & Delete) operations
are performed by specific users.

Currently, the following sub modules of Admin Audit Trail are supported:

- Menu (menu's and menu items CUD operations)
- Node (CUD operations)
- Comment (CUD operations)
- Taxonomy (vocabulary and term CUD operations)
- User (CUD operations)
- User authentication (login/logout/request password)
- File (CUD operations)
- Media (CUD operations)
- Workflows (CUD operations)
The event log tracking could be easily extended with custom events.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/admin_audit_trail).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/admin_audit_trail).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

The module has no menu or modifiable settings. There is no configuration.


## Maintainers

- Rajab Natshah - [Rajab Natshah](https://www.drupal.org/u/rajab-natshah)
- Mohammed Razem - [Mohammed J. Razem](https://www.drupal.org/u/mohammed-j-razem)